Bug 1192180 - cyrus-imapd have been uninstalled during zypper update from 15.2 to 15.3
cyrus-imapd have been uninstalled during zypper update from 15.2 to 15.3
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Other
Leap 15.3
i686 openSUSE Leap 15.3
: P5 - None : Normal (vote)
: ---
Assigned To: Peter Varkoly
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-30 13:48 UTC by Joerg Rohrer
Modified: 2022-05-13 18:52 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joerg Rohrer 2021-10-30 13:48:18 UTC
Updated my system yesterday from 15.2 to 15.3. The update went just fine, buuuut all cyrus-imapd binaries are gone!!!
Luckily datadirs have not been removed.
If this is done on purpose it might be worth have it in the Release Notes. Otherwise leave installed software just in place!

br
J.
Comment 1 Joerg Rohrer 2021-10-30 15:29:08 UTC
After todays zypper dup I got the following.
Cyrus is going to be removed again.
How can I stop this?


myhost:~/bin # zypper dup
Loading repository data...
Reading installed packages...
Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you continue. See 'man zypper' for more information about this command.
Computing distribution upgrade...


The following 7 packages are going to be REMOVED:
  cyradm cyrus-imapd docker-libnetwork docker-runc perl-Cyrus-IMAP perl-Cyrus-SIEVE-managesieve yast2-qt-branding-openSUSE
Comment 2 Marcus Meissner 2021-10-31 11:09:21 UTC
it was not building,. but it seems to build now.

i will ask to get it readded to 15.3 and factory.
Comment 3 Simon Lees 2021-11-01 21:52:27 UTC
(In reply to Marcus Meissner from comment #2)
> it was not building,. but it seems to build now.
> 
> i will ask to get it readded to 15.3 and factory.

We may need to find a maintainer first, SUSE maintained and supported the package in SLE-12 but has since dropped it so as such we probably need to find a community maintainer. Given that it failed to build for so long is an indication it may not have an active maintainer although someone has atleast updated it in the last year which is potentially a positive sign.
Comment 4 Mathias Homann 2022-01-14 07:48:02 UTC
looks fine to me in https://build.opensuse.org/project/show/server:mail so what's holding thigs up? I have a server on 15.2 that I can't upgrade because of this.
Comment 5 Simon Lees 2022-01-14 11:06:58 UTC
(In reply to Mathias Homann from comment #4)
> looks fine to me in https://build.opensuse.org/project/show/server:mail so
> what's holding thigs up? I have a server on 15.2 that I can't upgrade
> because of this.

It would now need a maintainer who is willing to submit it back into 15.3 via the maintenance process. at the moment it doesn't seem like there is anyone willing to do that. I'm sure if the package is important to you and you have a basic concept of building software you could step in and become a co maintainer and submit it yourself.

cyrus-imapd isn't part of SLE anymore so pretty much all the support for it comes from the community so if no one in the community has time to do anything with it not much will happen.
Comment 6 Peter Varkoly 2022-01-17 10:33:10 UTC
I've created a new request: https://build.opensuse.org/request/show/946928
Comment 7 Peter Varkoly 2022-03-17 10:45:09 UTC
FIXED
Comment 8 Mathias Homann 2022-05-13 18:52:27 UTC
...how is this fixed? cyrus imapd is still not available in 15.3, and also not in 15.4 beta...